Immunization

An immunization is a record of an immunization given to a patient.

GET/v2/fhir/Immunization

List all immunizations

Returns a list of all immunizations. Pass attributes to filter the list of immunizations based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

Request

GET
/v2/fhir/Immunization
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/Immunization?patient=user_Z1zXZKvqrpwxbznuW6lJ" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 1,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/Immunization/imm-1",
            "resource": {
              "resourceType": "Immunization",
              "id": "imm-1",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-immunization|7.0.0"
                ]
              },
              "text": {
                "status": "generated",
                "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative: Immunization</b><a name=\"imm-1\"> </a><a name=\"hcimm-1\"> </a></p><div style=\"display: inline-block; background-color: #d9e0e7; padding: 6px; margin: 4px; border: 1px solid #8da1b4; border-radius: 5px; line-height: 60%\"><p style=\"margin-bottom: 0px\">Resource Immunization &quot;imm-1&quot; </p><p style=\"margin-bottom: 0px\">Profile: <a href=\"StructureDefinition-us-core-immunization.html\">US Core Immunization Profile (version 7.0.0)</a></p></div><p><b>status</b>: completed</p><p><b>vaccineCode</b>: influenza, high-dose, quadrivalent <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> (<a href=\"http://terminology.hl7.org/5.3.0/CodeSystem-CVX.html\">Vaccine Administered Code Set (CVX)</a>#197; <a href=\"http://terminology.hl7.org/5.3.0/CodeSystem-v3-ndc.html\">National drug codes</a>#49281012165 &quot;FLUZONE High-Dose Quadrivalent Northern Hemisphere, 10 SYRINGE, GLASS in 1 PACKAGE (49281-121-65) &gt; .7 mL in 1 SYRINGE, GLASS (49281-121-88) (package)&quot;)</span></p><p><b>patient</b>: <a href=\"Patient-example.html\">Patient/example: Amy Shaw</a> &quot; SHAW&quot;</p><p><b>encounter</b>: <a href=\"Encounter-example-1.html\">Encounter/example-1: Office Visit</a></p><p><b>occurrence</b>: 2020-11-19 12:46:57-0800</p><p><b>primarySource</b>: false</p><p><b>location</b>: <a href=\"Location-hospital.html\">Location/home: Holy Family Hospital</a> &quot;Holy Family Hospital&quot;</p></div>"
              },
              "status": "completed",
              "statusReason": {
                "coding": [
                  {
                    "system": "http://terminology.hl7.org/CodeSystem/v3-ActReason",
                    "code": "PATOBJ",
                    "display": "Patient objection"
                  }
                ],
                "text": "Patient refused the vaccination."
              },
              "vaccineCode": {
                "coding": [
                  {
                    "system": "http://hl7.org/fhir/sid/cvx",
                    "code": "197",
                    "display": "influenza, high-dose, quadrivalent"
                  },
                  {
                    "system": "http://hl7.org/fhir/sid/ndc",
                    "code": "49281012165",
                    "display": "FLUZONE High-Dose Quadrivalent Northern Hemisphere, 10 SYRINGE, GLASS in 1 PACKAGE (49281-121-65) > .7 mL in 1 SYRINGE, GLASS (49281-121-88) (package)"
                  }
                ],
                "text": "influenza, high-dose, quadrivalent"
              },
              "patient": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                "display": "Amy Shaw"
              },
              "encounter": {
                "reference": "Encounter/example-encounter",
                "display": "Office Visit"
              },
              "occurrenceDateTime": "2020-11-19T12:46:57-08:00",
              "primarySource": false,
              "location": {
                "reference": "Location/home",
                "display": "Holy Family Hospital"
              }
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }